Bug 1300133 - JMX attribute evictions is always zero in Statistics and ClusterCacheStats MBeans
Summary: JMX attribute evictions is always zero in Statistics and ClusterCacheStats MB...
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Data Grid 6
Classification: JBoss
Component: Infinispan
Version: 6.5.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER1
: 6.6.1
Assignee: Tristan Tarrant
QA Contact: Martin Gencur
URL:
Whiteboard:
Depends On:
Blocks: 1309749
TreeView+ depends on / blocked
 
Reported: 2016-01-20 01:25 UTC by Osamu Nagano
Modified: 2023-09-30 08:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The <literal>evictions</literal> attribute of <classname>Statistics</classname> and <classname>ClusterCacheStats</classname> components of the Cache MBean return zero even though some eviction operations have been successfully performed. This issue only affects statistics, not the actual eviction process. This is a known issue in Red Hat JBoss Data Grid 6.6.0, and no workaround exists at this time.
Clone Of:
Environment:
Last Closed:
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker ISPN-6125 0 Major Closed JMX attribute evictions is always zero in Statistics and ClusterCacheStats MBeans 2020-03-17 08:33:39 UTC

Description Osamu Nagano 2016-01-20 01:25:46 UTC
Description of problem:
Eviction is working because numberOfEntries never exceeds maxEntries.  But "evictions" attribute displays always 0 in JMX.

Version-Release number of selected component (if applicable):
JDG 6.5.1 (Infinispan 6.3.1.Final-redhat-1)

How reproducible:
Always.

Steps to Reproduce:
1. Set eviction like <eviction strategy="LRU" max-entries="10"/> in a JDG server.
2. Put entries more than the max-entries.
3. Check Statistics.evictions and ClusterCacheStats.evictions of the cache in JConsole.

Actual results:
evictions is always 0.

Expected results:
evictions should be the count of evicted entries.

Additional info:
This issue found in both of server and library modes.

Comment 4 JBoss JIRA Server 2016-02-04 08:59:00 UTC
Martin Gencur <mgencur> updated the status of jira ISPN-6125 to Coding In Progress


Note You need to log in before you can comment on or make changes to this bug.